Bug 41450 - Empty page (200 OK) while max-age is empty
Summary: Empty page (200 OK) while max-age is empty
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_cache_disk / mod_disk_cache (show other bugs)
Version: 2.0.53
Hardware: PC Linux
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2007-01-24 01:56 UTC by Raphael
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael 2007-01-24 01:56:26 UTC
On a production server after some hours or some days of good working, 
mod_cache and mod_disk_cache sets no value for max-age on some pages and 
displays empty pages while sending 200 OK headers. (When editing the 
corresponding header file we see following)

Expires: Wed, 24 Jan 2007 09:27:50 GMT
ETag: 503e7dbbd6217b9a591f3322f39b5a6c
Cache-Control: public, max-age=
Date: Wed, 24 Jan 2007 09:23:20 GMT
Content-Type: text/html;charset=iso-8859-1

This server is running Apache/2.0.53 (Unix) and PHP/4.3.10

We could not reproduce this on our developpement server when accessing the 
pages only by editing manualy the header file and removing the max-age value 
which is 300.

Help would be needed because production server needs often to be stopped in 
order to clear the cache and restarted.

Thanks in advance,

Raphael
Comment 1 Nick Kew 2007-01-24 02:30:16 UTC
You've marked this as HEAD, then said you're using a rather old 2.0 Apache
version.  mod_cache is one thing that's changed a lot since 2.0.

Please clarify.
Comment 2 Raphael 2007-01-24 02:49:41 UTC
Done sorry, but while setting wrong Keywords I had to use Back button which 
losts everything.
Comment 3 Raphael 2007-01-24 02:52:01 UTC
I plan to use a 2.2.4 version of Apache with it's stable mod_cache but before 
changing the production server I need to be sure this is corrected.
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:22 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.